org.apache.lucene.luke.models.analysis

## Class Analysis.Token

- java.lang.Object
- - org.apache.lucene.luke.models.analysis.Analysis.Token

- Enclosing interface:
    Analysis

      public static class Analysis.Token
      extends Object

  Holder for a token.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Analysis.TokenAttribute>` | `getAttributes()` Returns attributes of this token.
    `String` | `getTerm()` Returns the string representation of this token.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTerm

          public String getTerm()

      Returns the string representation of this token.

    - #### getAttributes

          public List<Analysis.TokenAttribute> getAttributes()

      Returns attributes of this token.

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.